#ifndef IMSCHEDULER_MTPC_HH_
#define IMSCHEDULER_MTPC_HH_
#include "IMScheduler.hh"
#include "basictype.hh"

class IMScheduler_MTPC : public IMScheduler
{
    IMScheduler_MTPC();
  public:
    static IMScheduler_MTPC* construct();
    virtual void send_request(IMScheduler_send_handler*);
    virtual int start();
    virtual int stop();
};

#endif /* not IMSCHEDULER_MTPC_HH_ */

/* Local Variables: */
/* c-file-style: "iiim-project" */
/* End: */
